
package de.ivu.elect.business.wahlvorschlag.boundary;

import javax.ejb.Stateless;
import javax.inject.Inject;

import de.ivu.elect.business.dokumente.boundary.AbstractDokumentGenerator;
import de.ivu.elect.business.dokumente.entity.DokumentVorlageArt;
import de.ivu.elect.business.wahlvorschlag.entity.Wahlvorschlag;

@Stateless
public class WahlvorschlagEmpfangsquittungDokumentGenerator extends AbstractDokumentGenerator<Wahlvorschlag, WahlvorschlagEmpfangsquittungDokumentContext> {

  @Inject
  private transient WahlvorschlagDAO wahlvorschlagDAO;

  public WahlvorschlagEmpfangsquittungDokumentGenerator() {
    super();
  }

  @Override
  public DokumentVorlageArt getDokumentVorlageArt() {
    return DokumentVorlageArt.WAHLVORSCHLAG_EMPFANGSQUITTUNG;
  }

  @Override
  protected Wahlvorschlag attach(Wahlvorschlag wahlvorschlag, WahlvorschlagEmpfangsquittungDokumentContext wahlvorschlagEmpfangsquittungDokumentContext) {
    return wahlvorschlagDAO.attach(wahlvorschlag);
  }
}
